Bug 2156710

Summary: btrfs lost subvolume UUID
Product: [Fedora] Fedora Reporter: Sjoerd Mullender <sjoerd>
Component: btrfs-progsAssignee: Josef Bacik <josef>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 37CC: adam900710, bugzilla, bugzilla.somor, cegolf, diakkaml, esandeen, fedora, igor.raits, josef, ngompa13
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: btrfs-progs-6.1-2.fc37 btrfs-progs-6.1-2.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-31 01:10:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Sjoerd Mullender 2022-12-28 09:24:53 UTC
Description of problem:

Before upgrade of btrfs-progs, using btrfs-progs-6.0.2-1.fc37.x86_64:

$ sudo btrfs subvolume list -u /
ID 256 gen 148466 top level 5 uuid 57760724-47c5-b748-b49c-ae5f1c41e14a path root
ID 257 gen 148466 top level 5 uuid d9e13a78-41bd-4b42-8a60-10b15ecae5c1 path home
[...]

After upgrade of btrfs-progs to btrfs-progs-6.1-1.fc37.x86_64:
$ sudo btrfs subvolume list -u /
ID 256 gen 148478 top level 5 uuid -                                    path root
ID 257 gen 148478 top level 5 uuid -                                    path home
[...]

Where did the UUID go?  No reboot in between, just dnf upgrade.


Version-Release number of selected component (if applicable):
btrfs-progs-6.1-1.fc37.x86_64

How reproducible:
100%.

Steps to Reproduce:
1. Pretty clear from the above, I would think.
2.
3.

Actual results:
ID 256 gen 148478 top level 5 uuid -                                    path root
ID 257 gen 148478 top level 5 uuid -                                    path home

Expected results:
ID 256 gen 148466 top level 5 uuid 57760724-47c5-b748-b49c-ae5f1c41e14a path root
ID 257 gen 148466 top level 5 uuid d9e13a78-41bd-4b42-8a60-10b15ecae5c1 path home

Additional info:
My btrbk backups are failing with the message that there is no subvolume UUID.

Comment 1 Qu Wenruo 2022-12-28 12:06:13 UTC
Fixed by this series:

https://patchwork.kernel.org/project/linux-btrfs/list/?series=707080

I hope David should do a minor release to fix this problem.

Comment 2 Sjoerd Mullender 2022-12-30 08:38:29 UTC
(In reply to Qu Wenruo from comment #1)
> Fixed by this series:
> 
> https://patchwork.kernel.org/project/linux-btrfs/list/?series=707080
> 
> I hope David should do a minor release to fix this problem.

This patch does indeed seem to fix the problem.  I have applied it locally.

Comment 3 Fedora Update System 2022-12-30 16:55:24 UTC
FEDORA-2022-e7a28a653b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e7a28a653b

Comment 4 Fedora Update System 2022-12-30 16:55:57 UTC
FEDORA-2022-e538a8b8e7 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e538a8b8e7

Comment 5 Fedora Update System 2022-12-31 01:10:22 UTC
FEDORA-2022-e7a28a653b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-12-31 01:16:48 UTC
FEDORA-2022-e538a8b8e7 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.